gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.InitiallyUnowned An object for rendering a single cell on a

The is a base class of a set of objects used for rendering a cell to a . These objects are used primarily by the widget, though they are not tied to them in any specific way. It is worth noting that is not a and cannot be treated as such.

The primary use of a is for drawing a certain graphical elements on a . Typically, one is used to draw many cells on the screen. To this extent, it is not expected that a keep any permanent state around. Instead, any state is set just prior to use. Then, the cell is measured using . Finally, the cell is rendered in the correct location using .

There are a number of rules that must be followed when writing a new . First and foremost, it is important that a certain set of properties will always yield a of the same size, barring a change. The also has a number of generic properties that are expected to be honored by all children.

- Constructor
  Protected constructor.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  System.Boolean `` `` `` `` `` `` an object of type an object of type an object of type an object of type an object of type an object of type Passes an activate event to the for possible processing. an object of type Some s may use events; for example, toggles when it gets a mouse click.
- Property
  GLib.Property("cell-background")
  System.String Cell background color as a . a
- Property
  GLib.Property("cell-background-gdk")
  Gdk.Color Cell background color as a . a
- Property
  GLib.Property("cell-background-rgba")
  Gdk.RGBA To be added. To be added. To be added.
- Property
  GLib.Property("editing")
  System.Boolean To be added. To be added. To be added.
- Event
  GLib.Signal("editing-canceled")
  System.EventHandler This event is raised when the user cancels the process of editing a cell. For example, an editable cell renderer could be written to cancel editing when the user presses Escape.
- Event
  GLib.Signal("editing-started")
  Gtk.EditingStartedHandler This signal gets emitted when a cell starts to be edited.

  The intended use of this signal is to do special setup on editable cell, e.g. adding a or setting up additional columns in a .

  Note that GTK# doesn't guarantee that cell renderers will continue to use the same kind of widget for editing in future releases, therefore you should check the type of the cell before doing any specifi setup.

- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` Location to fill in with the fixed width of the widget, or . Location to fill in with the fixed height of the widget, or . Fills in and with the appropriate size.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Gtk.StateFlags `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("height")
  System.Int32 The fixed height. an object of type
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("is-expanded")
  System.Boolean Row is an expander row, and is expanded. an object of type
- Property
  GLib.Property("is-expander")
  System.Boolean Row has children. an object of type
- Property
  GLib.Property("mode")
  Gtk.CellRendererMode Editable mode of the CellRenderer. an object of type
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivate", Type=typeof(Gtk.CellRenderer))
  System.Boolean `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEditingCanceled", Type=typeof(Gtk.CellRenderer))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEditingStarted", Type=typeof(Gtk.CellRenderer))
  System.Void `` `` To be added. To be added. Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetAlignedArea", Type=typeof(Gtk.CellRenderer))
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetPreferredHeight", Type=typeof(Gtk.CellRenderer))
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetPreferredHeightForWidth", Type=typeof(Gtk.CellRenderer))
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetPreferredWidth", Type=typeof(Gtk.CellRenderer))
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetPreferredWidthForHeight", Type=typeof(Gtk.CellRenderer))
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetRequestMode", Type=typeof(Gtk.CellRenderer))
  Gtk.SizeRequestMode To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideOnGetSize", Type=typeof(Gtk.CellRenderer))
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRender", Type=typeof(Gtk.CellRenderer))
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideStartEditing", Type=typeof(Gtk.CellRenderer))
  Gtk.ICellEditable `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  Gtk.SizeRequestMode To be added. To be added. To be added.
- Property
  GLib.Property("sensitive")
  System.Boolean Display the cell sensitive. A . The default value is .
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` an object of type an object of type Sets the renderer size to be explicit, independent of the properties set.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  Gtk.ICellEditable `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` a Informs the cell renderer that the editing is stopped. If is , the cell renderer will emit the event. This method should be called by cell renderer implementations in response to the event of .
- Property
  GLib.Property("visible")
  System.Boolean Display the cell. an object of type
- Property
  GLib.Property("width")
  System.Int32 The fixed width. an object of type
- Property
  GLib.Property("xalign")
  System.Single The x-align. an object of type
- Property
  GLib.Property("xpad")
  System.UInt32 The xpad. an object of type
- Property
  GLib.Property("yalign")
  System.Single The y-align. an object of type
- Property
  GLib.Property("ypad")
  System.UInt32 The ypad. an object of type